#! /bin/sh
#
# pre-removal script for the educlient package
#

set -xe

# Divert back all the stuff

if [ ! -f /etc/debian-edu/educlient.files-diverted ] && [ ! -f /etc/debian-edu/educlient.files-added ]; then
	exit 0
fi

cat /etc/debian-edu/educlient.files-* | while read file;
	do
		if [ -z "$file" ]; then
			continue
		fi

		if [ "$(dpkg-divert --listpackage $file)" = "educlient" ]; then
			if [ -h "$file" ]; then
				rm -f $file
			fi
			dpkg-divert --package educlient --rename --remove $file
		else
			if [ -f "$file" ]; then
				mv $file $file.educlient-removed
			fi
		fi
	done

# Drop all of our dpkg-statoverride entries
dpkg-statoverride --list | grep -E "^[a-zA-Z0-9]+\ [a-zA-Z0-9]+\ [0-9]{3,4}\ /etc/educlient/.*$" | cut -d" " -f4- | while read file; do
	dpkg-statoverride --remove "$file"
done


# Revert first user to UID and GID 1000
USERN="$(grep :x:500:500: /etc/passwd | cut -d ":" -f 1)"
if [ -n "$USERN" ]; then
	HOME="$(grep :x:500:500: /etc/passwd | cut -d ":" -f 6)"
	sed "s/:x:500:500:/:x:1000:1000:/g" /etc/passwd
	sed "s/:x:500:/:x:1000:/g" /etc/group
	if which nscd 1>/dev/null; then
		nscd -i passwd
		nscd -i group
	fi
	chown -R $USERN:$USERN "$HOME"
fi

#DEBHELPER#

exit 0
